using System;
using System.Collections;
using SmartClientCommDataAccess;

namespace SmartClientCommBusinessLayer
{
   public class ServiceObject
   {
      public int Add(int a, int b)
      {
         int res = a + b;
         return res;
      }

      public EmployeeDataSet GetEmployees()
      {
         EmployeeDataAccess dac = new EmployeeDataAccess();
         EmployeeDataSet data = dac.GetEmployees();
         return data;
      }

      public SimpleSalesData GetSimpleSalesData()
      {
         SalesOrderDataAccess dac = new SalesOrderDataAccess();
         SimpleSalesData data = dac.GetSimpleSalesData();
         return data;
      }

      public void ComputeDiscountedRedProductSales()
      {
         SalesOrderDataAccess dac = new SalesOrderDataAccess();
         SalesDataSet data = dac.GetSalesData();
         foreach (SalesDataSet.SalesOrderDetailRow salesRow in data.SalesOrderDetail)
         {
            if (!salesRow.ProductRow.IsColorNull() && salesRow.ProductRow.Color == "Red")
            {
               salesRow.UnitPriceDiscount += .25;
            }
            else
            {
               salesRow.Delete();
            }
         }
         data.AcceptChanges();
      }

      public SalesOrderDetail[] GetSalesDetailCollection()
      {
         SalesOrderDataAccess dac = new SalesOrderDataAccess();
         return dac.GetSalesDetailCollection();
      }
   }
}
